Bug 248475 - net/gerbera: New port, UPnP/DLNA media server, version 1.6.4
Summary: net/gerbera: New port, UPnP/DLNA media server, version 1.6.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: https://github.com/gerbera/gerbera/re...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-04 22:05 UTC by daniel.engberg.lists
Modified: 2020-11-22 19:59 UTC (History)
6 users (show)

See Also:


Attachments
New port (13.13 KB, patch)
2020-08-04 22:05 UTC, daniel.engberg.lists
no flags Details | Diff
New port - version 1.61 (12.70 KB, patch)
2020-09-06 02:20 UTC, daniel.engberg.lists
daniel.engberg.lists: maintainer-approval+
Details | Diff
gerbera.patch (12.22 KB, patch)
2020-09-07 19:01 UTC, Andrew Romanenko
no flags Details | Diff
New port - version 1.61 (v2) (12.73 KB, patch)
2020-09-07 22:55 UTC, daniel.engberg.lists
daniel.engberg.lists: maintainer-approval+
Details | Diff
New port - version 1.61 (v3) (13.42 KB, patch)
2020-09-23 06:02 UTC, daniel.engberg.lists
daniel.engberg.lists: maintainer-approval+
Details | Diff
New port - version 1.61 (v4) (13.82 KB, patch)
2020-09-26 23:23 UTC, daniel.engberg.lists
no flags Details | Diff
New port - version 1.61 (v5) (13.83 KB, patch)
2020-10-05 11:47 UTC, daniel.engberg.lists
no flags Details | Diff
New port - version 1.64 (13.05 KB, patch)
2020-10-16 20:28 UTC, daniel.engberg.lists
no flags Details | Diff
New port - version 1.64 v2 (13.31 KB, patch)
2020-11-16 14:33 UTC, daniel.engberg.lists
no flags Details | Diff
New port - version 1.64 v3 (13.28 KB, patch)
2020-11-16 15:06 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-08-04 22:05:20 UTC
Created attachment 217012 [details]
New port

Import Gerbera which is a continuation on the now defunct MediaTomb codebase.

Tested on FreeBSD 13.0-CURRENT r361421 (amd64), 12.1-RELEASE-p7 (amd64)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 daniel.engberg.lists 2020-09-06 02:20:06 UTC
Created attachment 217779 [details]
New port - version 1.61

Update to 1.61
Comment 2 Andrew Romanenko 2020-09-07 19:01:50 UTC
Created attachment 217806 [details]
gerbera.patch

own version of gerbera port. fixed some errors: build with matroska only, test target need duktape-lib and curl
Comment 3 daniel.engberg.lists 2020-09-07 22:55:33 UTC
Created attachment 217811 [details]
New port - version 1.61 (v2)

Fix "make test" with minimal config
Comment 4 daniel.engberg.lists 2020-09-20 06:32:10 UTC
I have a few more fixes in the pipeline, such as using libnpupnp instead.
https://github.com/gerbera/gerbera/issues/984 also needs to be fixed before we can commit.
Comment 5 daniel.engberg.lists 2020-09-23 06:02:40 UTC
Created attachment 218204 [details]
New port - version 1.61 (v3)

Depend on (lib)curl when compiling tests
Pull in ffmpeg support when ffmpegthumbnailer is selected
Add support for libnpupnp
Comment 6 daniel.engberg.lists 2020-09-26 23:23:20 UTC
Created attachment 218344 [details]
New port - version 1.61 (v4)

Add patch to fix tests when libnpupnp is used.
Add patch to fix UI bug for MIME types
Comment 7 Tobias C. Berner freebsd_committer 2020-10-03 18:58:11 UTC
Moin moin 

Fails to configure:
https://people.freebsd.org/~tcberner/logs/gerbera-1.6.1.log


mfg Tobias
Comment 8 daniel.engberg.lists 2020-10-05 11:47:30 UTC
Created attachment 218540 [details]
New port - version 1.61 (v5)

Add missing USES= pkgconfig argument, fixes build when using libnpupnp

Tested on FreeBSD 13.0-CURRENT #0 r364979 (amd64) (make + make check-plist)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 9 daniel.engberg.lists 2020-10-05 11:48:13 UTC
Add 250139 as dependency to avoid unnecessary package bumps
Comment 10 daniel.engberg.lists 2020-10-16 20:28:19 UTC
Created attachment 218810 [details]
New port - version 1.64

Update to 1.64
Comment 11 daniel.engberg.lists 2020-11-16 08:35:37 UTC
If possible I'd appreciate if someone could review this port especially the rc.d script.
Comment 12 Mikael Urankar freebsd_committer 2020-11-16 13:12:46 UTC
Missing LICENSE_FILE
USE_RC_SUBR should be with the other USE_x variable
pkg-descr is a bit short, you can take what's written here: http://docs.gerbera.io/en/latest/

you can run rclint on your rc script
/usr/local is hardcoded in your rc script
why do you need a gerbera_precmd func?
Comment 13 Mikael Urankar freebsd_committer 2020-11-16 13:13:06 UTC
and the uid/gid are already taken (sorry about that)
Comment 14 daniel.engberg.lists 2020-11-16 14:33:45 UTC
Created attachment 219730 [details]
New port - version 1.64 v2

Add LICENCE_FILE variable
Move USE_RC_SUBR
Make pkg-descr a bit more descriptive
Remove hardcoded /usr/local in rc script
Update GID/UID
Comment 15 daniel.engberg.lists 2020-11-16 15:06:33 UTC
Created attachment 219731 [details]
New port - version 1.64 v3

A few adjustments to rc script, suggested by meeena (irc)
Comment 16 commit-hook freebsd_committer 2020-11-16 16:54:30 UTC
A commit references this bug:

Author: mikael
Date: Mon Nov 16 16:53:40 UTC 2020
New revision: 555498
URL: https://svnweb.freebsd.org/changeset/ports/555498

Log:
  net/gerbera: New port, UPnP/DLNA media server

  Gerbera is a DLNA compatible media server and a continuation of MediaTomb
  It allows you to browse and playback your media via your network, supports
  metadata extraction, media thumbnail support and generation, media transcoding
  and offers a Web UI.

  WWW: https://gerbera.io/

  PR:		248475
  Submitted by:	daniel.engberg.lists@pyret.net
  Reviewed by:	meena

Changes:
  head/GIDs
  head/UIDs
  head/net/Makefile
  head/net/gerbera/
  head/net/gerbera/Makefile
  head/net/gerbera/distinfo
  head/net/gerbera/files/
  head/net/gerbera/files/gerbera.in
  head/net/gerbera/files/patch-CMakeLists.txt
  head/net/gerbera/files/patch-test_core_test__server.cc
  head/net/gerbera/files/pkg-message.in
  head/net/gerbera/pkg-descr
  head/net/gerbera/pkg-plist
Comment 17 daniel.engberg.lists 2020-11-16 17:06:36 UTC
Thanks!